/***********************************************************************************************************************
* Copyright (C) . All rights reserved.
***********************************************************************************************************************/

/***********************************************************************************************************************
* File Name    : main.c
* Version      :  
* Device(s)    : BAT32G135
* Tool-Chain   : MDK(armcc)
* Description  : This file is a template.
* Creation Date: 2019/4/30
***********************************************************************************************************************/

/***********************************************************************************************************************
Macro Definitions
***********************************************************************************************************************/

/***********************************************************************************************************************
Includes
***********************************************************************************************************************/
#include <stdio.h>
#include "BAT32G135.h"

/***********************************************************************************************************************
Global variables and functions
***********************************************************************************************************************/
uint32_t g_ticks;

void delayMS(uint32_t n)
{
		g_ticks = n;
		while(g_ticks);
}

int main()
{
	uint32_t msCnt; 	// count value of 1ms

//-----------------------------------------------------------------------
// Systick setting 
//-----------------------------------------------------------------------   
	g_ticks = 1000; 	// 1000ms
	SystemCoreClockUpdate();
	msCnt = SystemCoreClock / 1000;
	SysTick_Config(msCnt); 

//-----------------------------------------------------------------------
// LED blinky on target board 
// P71 and P72 drives LED on EVB
//----------------------------------------------------------------------- 
#if 1
	PORT->PMC7 &= ~(3<<1); // P71, P72 Digital function
	PORT->P7    = 0x02U;  
	PORT->PM7  &= ~(3<<1); // P71P72 output mode

	while(1)
	{
		delayMS(250);
		PORT->P7 ^= (1<<1); 	// Toggle P71
		PORT->P7 ^= (1<<2); 	// Toggle P72
	}
#else	
	PORT->PMC3 &= ~(3<<0); // P30, P31 Digital function
	PORT->P3    = 0x02U;  
	PORT->PM3  &= ~(3<<0); // P30, P31 output mode

	while(1)
	{
		delayMS(250);
		PORT->P3 ^= (1<<0); 	// Toggle P30
		PORT->P3 ^= (1<<1); 	// Toggle P31
	}
#endif
}

/***********************************************************************************************************************
* Function Name: SysTick Handler
* Description  : Decreament the g_ticks value
* Arguments    : None
* Return Value : None
***********************************************************************************************************************/
void SysTick_Handler(void)
{
	g_ticks--;
}


